Subject: bug#33181: sed --debug: fix two problems

From: Assaf Gordon <[email-masked]>
Date: Sat, 27 Oct 2018 23:56:34 -0600

On 2018-10-27 5:00 p.m., Jim Meyering wrote:
> That exposed what looked like a UMR bug.  I confirmed it by
> running under valgrind.  Fixed by the first patch below.
[...]
> Initially, I didn't even reach the offending code because
> that same system lacked perl's Data::Dump module.
> That is addressed by the second patch.

Good catch!
I should have used the new "make build-asan" to test the new debug
feature, I now see it does report similar failures.

Thanks for the quick fix, looks good.

-assaf